<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>Direction (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Direction (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/Countable.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/Direction.Flag.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/Direction.html" target="_top">Frames</a></li>
<li><a href="Direction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Enum Direction" class="title">Enum Direction</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.Direction</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">Direction</span>
extends java.lang.Enum&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;</pre>
<div class="block">A collection of cardinal, ordinal, and secondary-ordinal directions.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.Flag.html" title="class in com.sk89q.worldedit.util">Direction.Flag</a></span></code>
<div class="block">Flags to use with <a href="../../../../com/sk89q/worldedit/util/Direction.html#findClosest-com.sk89q.worldedit.math.Vector3-int-"><code>findClosest(Vector3, int)</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#DOWN">DOWN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#EAST">EAST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#EAST_NORTHEAST">EAST_NORTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#EAST_SOUTHEAST">EAST_SOUTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#NORTH">NORTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#NORTH_NORTHEAST">NORTH_NORTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#NORTH_NORTHWEST">NORTH_NORTHWEST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#NORTHEAST">NORTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#NORTHWEST">NORTHWEST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#SOUTH">SOUTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#SOUTH_SOUTHEAST">SOUTH_SOUTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#SOUTH_SOUTHWEST">SOUTH_SOUTHWEST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#SOUTHEAST">SOUTHEAST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#SOUTHWEST">SOUTHWEST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#UP">UP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#WEST">WEST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#WEST_NORTHWEST">WEST_NORTHWEST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#WEST_SOUTHWEST">WEST_SOUTHWEST</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#findClosest-com.sk89q.worldedit.math.Vector3-int-">findClosest</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vector,
           int&nbsp;flags)</code>
<div class="block">Find the closest direction to the given direction vector.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.util.Optional&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#fromRotationIndex-int-">fromRotationIndex</a></span>(int&nbsp;rotation)</code>
<div class="block">Converts a rotation index into a Direction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#isCardinal--">isCardinal</a></span>()</code>
<div class="block">Return true if the direction is of a cardinal direction (north, west
 east, and south).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#isOrdinal--">isOrdinal</a></span>()</code>
<div class="block">Return true if the direction is of an ordinal direction (northwest,
 southwest, southeast, northeaast).</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#isSecondaryOrdinal--">isSecondaryOrdinal</a></span>()</code>
<div class="block">Return true if the direction is of a secondary ordinal direction
 (north-northwest, north-northeast, south-southwest, etc.).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#isUpright--">isUpright</a></span>()</code>
<div class="block">Return whether Y component is non-zero.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#toBlockVector--">toBlockVector</a></span>()</code>
<div class="block">Get the vector.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.OptionalInt</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#toRotationIndex--">toRotationIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#toVector--">toVector</a></span>()</code>
<div class="block">Get the vector.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Direction.html#valuesOf-int-">valuesOf</a></span>(int&nbsp;flags)</code>
<div class="block">Gets all directions with the given flags.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="NORTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORTH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> NORTH</pre>
</li>
</ul>
<a name="EAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> EAST</pre>
</li>
</ul>
<a name="SOUTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOUTH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> SOUTH</pre>
</li>
</ul>
<a name="WEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> WEST</pre>
</li>
</ul>
<a name="UP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UP</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> UP</pre>
</li>
</ul>
<a name="DOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOWN</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> DOWN</pre>
</li>
</ul>
<a name="NORTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> NORTHEAST</pre>
</li>
</ul>
<a name="NORTHWEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> NORTHWEST</pre>
</li>
</ul>
<a name="SOUTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOUTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> SOUTHEAST</pre>
</li>
</ul>
<a name="SOUTHWEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOUTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> SOUTHWEST</pre>
</li>
</ul>
<a name="WEST_NORTHWEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WEST_NORTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> WEST_NORTHWEST</pre>
</li>
</ul>
<a name="WEST_SOUTHWEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WEST_SOUTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> WEST_SOUTHWEST</pre>
</li>
</ul>
<a name="NORTH_NORTHWEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORTH_NORTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> NORTH_NORTHWEST</pre>
</li>
</ul>
<a name="NORTH_NORTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORTH_NORTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> NORTH_NORTHEAST</pre>
</li>
</ul>
<a name="EAST_NORTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EAST_NORTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> EAST_NORTHEAST</pre>
</li>
</ul>
<a name="EAST_SOUTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EAST_SOUTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> EAST_SOUTHEAST</pre>
</li>
</ul>
<a name="SOUTH_SOUTHEAST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOUTH_SOUTHEAST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> SOUTH_SOUTHEAST</pre>
</li>
</ul>
<a name="SOUTH_SOUTHWEST">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SOUTH_SOUTHWEST</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a> SOUTH_SOUTHWEST</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Direction c : Direction.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="isCardinal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCardinal</h4>
<pre>public&nbsp;boolean&nbsp;isCardinal()</pre>
<div class="block">Return true if the direction is of a cardinal direction (north, west
 east, and south).

 <p>This evaluates as false for directions that have a non-zero
 Y-component.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if cardinal</dd>
</dl>
</li>
</ul>
<a name="isOrdinal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOrdinal</h4>
<pre>public&nbsp;boolean&nbsp;isOrdinal()</pre>
<div class="block">Return true if the direction is of an ordinal direction (northwest,
 southwest, southeast, northeaast).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if ordinal</dd>
</dl>
</li>
</ul>
<a name="isSecondaryOrdinal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSecondaryOrdinal</h4>
<pre>public&nbsp;boolean&nbsp;isSecondaryOrdinal()</pre>
<div class="block">Return true if the direction is of a secondary ordinal direction
 (north-northwest, north-northeast, south-southwest, etc.).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if secondary ordinal</dd>
</dl>
</li>
</ul>
<a name="isUpright--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUpright</h4>
<pre>public&nbsp;boolean&nbsp;isUpright()</pre>
<div class="block">Return whether Y component is non-zero.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the Y component is non-zero</dd>
</dl>
</li>
</ul>
<a name="toVector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVector</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toVector()</pre>
<div class="block">Get the vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the vector</dd>
</dl>
</li>
</ul>
<a name="toBlockVector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBlockVector</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;toBlockVector()</pre>
<div class="block">Get the vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the vector</dd>
</dl>
</li>
</ul>
<a name="findClosest-com.sk89q.worldedit.math.Vector3-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findClosest</h4>
<pre>@Nullable
public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;findClosest(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vector,
                                               int&nbsp;flags)</pre>
<div class="block">Find the closest direction to the given direction vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vector</code> - the vector</dd>
<dd><code>flags</code> - the only flags that are permitted (use bitwise math)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the closest direction, or null if no direction can be returned</dd>
</dl>
</li>
</ul>
<a name="valuesOf-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valuesOf</h4>
<pre>public static&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;&nbsp;valuesOf(int&nbsp;flags)</pre>
<div class="block">Gets all directions with the given flags.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>flags</code> - The flags</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The directions that fit the flags</dd>
</dl>
</li>
</ul>
<a name="fromRotationIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromRotationIndex</h4>
<pre>public static&nbsp;java.util.Optional&lt;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&gt;&nbsp;fromRotationIndex(int&nbsp;rotation)</pre>
<div class="block">Converts a rotation index into a Direction.

 <p>
     Rotation indexes are used in BlockStates, such as sign posts.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rotation</code> - The rotation index</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The direction, if applicable</dd>
</dl>
</li>
</ul>
<a name="toRotationIndex--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toRotationIndex</h4>
<pre>public&nbsp;java.util.OptionalInt&nbsp;toRotationIndex()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/Countable.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/Direction.Flag.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/Direction.html" target="_top">Frames</a></li>
<li><a href="Direction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
